Bug 1120730 - Dupe errors when creating a content host without a name
Summary: Dupe errors when creating a content host without a name
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Mike McCune
QA Contact: Tazim Kolhar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 15:08 UTC by David Davis
Modified: 2017-02-23 21:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:10:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 7272 None None None 2016-04-22 16:20:06 UTC

Description David Davis 2014-07-17 15:08:51 UTC
Actual results:

$ hammer content-host create --organization Default_Organization --content-view-id 5 --lifecycle-environment-id 1
Validation failed: Name can't be blank, Name cannot be blank


Expected:

$ hammer content-host create --organization Default_Organization --content-view-id 5 --lifecycle-environment-id 1
Validation failed: Name can't be blank

Comment 1 RHEL Product and Program Management 2014-07-17 15:34:09 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Dustin Tsang 2014-08-26 20:48:06 UTC
Created redmine issue http://projects.theforeman.org/issues/7272 from this bug

Comment 4 Bryan Kearney 2014-08-27 16:02:56 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/7272 has been closed
-------------
dustin tsang
Applied in changeset commit:katello|0466ed791e02e7dca3bcb07927becebc149c7edb.

Comment 5 Tazim Kolhar 2014-10-10 12:30:27 UTC
VERIFIED:

*** This bug is verified in upstream.  This fix should eventually land in future downstream builds ***


# rpm -qa | grep foreman
foreman-gce-1.7.0-0.develop.201410081938git1cf31c6.el7.noarch
ruby193-rubygem-foreman_discovery-1.4.0-0.1.rc4.el7.noarch
hp-bl420cgen8-01.rhts.eng.bos.redhat.com-foreman-proxy-1.0-1.noarch
foreman-compute-1.7.0-0.develop.201410081938git1cf31c6.el7.noarch
ruby193-rubygem-foreman_hooks-0.3.7-2.el7.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-2.201409091410git163c264.git.0.988ca80.el7.noarch
foreman-release-1.7.0-0.develop.201410071158git54141ab.el7.noarch
foreman-proxy-1.7.0-0.develop.201410081229git52f0bac.el7.noarch
hp-bl420cgen8-01.rhts.eng.bos.redhat.com-foreman-client-1.0-1.noarch
foreman-ovirt-1.7.0-0.develop.201410081938git1cf31c6.el7.noarch
ruby193-rubygem-foreman-tasks-0.6.9-1.el7.noarch
foreman-selinux-1.7.0-0.develop.201409301113git2f345de.el7.noarch
foreman-postgresql-1.7.0-0.develop.201410081938git1cf31c6.el7.noarch
foreman-vmware-1.7.0-0.develop.201410081938git1cf31c6.el7.noarch
ruby193-rubygem-foreman_bootdisk-4.0.0-1.el7.noarch
foreman-1.7.0-0.develop.201410081938git1cf31c6.el7.noarch
foreman-libvirt-1.7.0-0.develop.201410081938git1cf31c6.el7.noarch
rubygem-hammer_cli_foreman-0.1.3-1.201409191432gitc38f9c8.el7.noarch


# hammer content-host create --organization testorg --content-view-id 3 --lifecycle-environment-id 2 
[Foreman] username: admin
[Foreman] password for admin: 
Could not create content host:
  Missing arguments for 'name'

Comment 7 Bryan Kearney 2015-08-11 13:20:59 UTC
This bug is slated to be released with Satellite 6.1.

Comment 8 errata-xmlrpc 2015-08-12 05:10:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.